# API Documentation

By utilizing the TwitterScore API, you have the ability to access and leverage any information from the platform to your advantage. The limits on requests are based on your subscription plan.

**USERNAME** = username of X (Twitter) account.

**API\_KEY** = TwitterScore API key.

**TWITTER\_ID** = X (Twitter) ID. You can get from 1 request.

**Api Guide:**

<mark style="background-color:yellow;">**You can use either username or twitter id in any query.**</mark>

1. **Get Twitter Score.**

`https://twitterscore.io/api/v1/get_twitter_score?api_key=API_KEY&username=USERNAME`&#x20;

*Answer Data: (Username, Twitter\_id, Twitter Score)*

***

2. **Get account info.**

`https://twitterscore.io/api/v1/get_twitter_info?api_key=API_KEY&twitter_id=TWITTER_ID`

*Answer Data: (Username, Name, Description, Followers Count, PFP Link)*

***

3. **Twitter Score bulk check**

`https://twitterscore.io/api/v1/bulk_scores_check?api_key=API_KEY&ids=IDS&size=50`

*Answer Data: (Twitter ID, U*sernam&#x65;*, Twitter Url, Twitter Score)*

***

4. **Get how much score changed for a week/month.**

`https://twitterscore.io/api/v1/get_twitter_scores_diff?api_key=API_KEY&twitter_id=TWITTER_ID`

*Answer Data: (Twitter score changed for a week, for a month)*

***

5. **Get history of followers count(for 3/7/30/180/360/all days).**

Default - 30 days

`https://twitterscore.io/api/v1/followers_count_history?api_key=API_KEY&twitter_id=TWITTER_ID`

Custom - 3/7/30/180/360/all days

`https://twitterscore.io/api/v1/followers_count_history?api_key=API_KEY&twitter_id=TWITTER_ID&period=1w`

*Or*

`https://twitterscore.io/api/v1/followers_count_history?api_key=API_KEY&twitter_id=TWITTER_ID&period=all&page=PAGE`

*Answer Data: (Returns the number of subscribers for each day. You can read page by page by passing parameters: page)*

***

6. **Get top 5 followers by score.**

`https://twitterscore.io/api/v1/get_twitter_top_followers?api_key=API_KEY&twitter_id=TWITTER_ID`

*Answer Data: (Top 5 followers by score, usernames, names, score, followers count, PFP Link)*

{% hint style="info" %}
**This request is deprecated. It can be completely replaced by request number 11 - Get paginated** **list of followers**
{% endhint %}

***

7. **Get top followers paginate**

`https://twitterscore.io/api/v1/top_followers_paginate?username=USERNAME&api_key=API_KEY&size=SIZE&page=PAGE`

*Answer Data: (Paginated list of top followers)*

{% hint style="info" %}
**This request is deprecated. It can be completely replaced by request number 11 - Get paginated** **list of followers**
{% endhint %}

***

8. **Get list of all categories**&#x20;

`https://twitterscore.io/api/v1/get_categories?api_key=API_KEY`

*Answer Data: (*&#x52;eturns a list of all categories: id, nam&#x65;*)*

***

9. **Get list of all tags and tag's category**

`https://twitterscore.io/api/v1/get_tags?api_key=API_KEY`

*Answer Data: (Returns a list of all tags with their category)*

***

10. **Get number of followers in each category**

`https://twitterscore.io/api/v1/get_categorized_followers_count?username=USERNAME&api_key=API_KEY`

*Answer Data: (Number of followers in each category)*

***

11. **Get the number of tagged subscribers in each category**

`https://twitterscore.io/api/v1/get_tagged_followers_count?api_key=API_KEY&username=USERNAME`

*Answer Data: (Returns the number of tagged subscribers in each category)*

***

12. **Get paginated** **list of followers (filtered by size, tag, category, tag 's category).**

**Get list of all followers**

`https://twitterscore.io/api/v1/get_followers?api_key=API_KEY&twitter_id=TWITTER_ID`

*You can read page by page by passing parameters: page and size:*

`https://twitterscore.io/api/v1/get_followers?API_KEY&twitter_id=TWITTER_ID&size=SIZE&page=PAGE`

*Answer Data: (Returns a list of all followers sorted by twitter score)*

&#x20;**Get list of followers filtred by category**

`https://twitterscore.io/api/v1/get_followers?API_KEY&twitter_id=TWITTER_ID&category_id=CATEGORY_ID`

*Answer Data: (Returns a list of all followers in specified category sorted by twitter score. You can read page by page by passing parameters: page and size)*

**Get list of followers filtred by tag**

`https://twitterscore.io/api/v1/get_followers?API_KEY&twitter_id=TWITTER_ID&tag_id=TAG_ID`

*Answer Data: (Returns a list of all followers with specified tag sorted by twitter score. You can read page by page by passing parameters: page and size)*

**Get list of followers filtred by tag 's category**

`https://twitterscore.io/api/v1/get_followers?API_KEY&twitter_id=TWITTER_ID&tag_category_id=TAG_CATEGORY_ID`

*Answer Data: (Returns a list of all followers in specified tag's category sorted by twitter score. You can read page by page by passing parameters: page and size)*

***

13. **Get friendship History.**

**Get friendship History - followed**

`https://twitterscore.io/api/v1/friendshipHistory/followed?username=USERNAME&api_key=API_KEY&date=DATE&tag_ids=TAG_IDS&size=SIZE`

*Answer Data: (Returns a list of followed accounts on a specified date. Could be filtred by tag id.)*

**Get friendship History - following**

`https://twitterscore.io/api/v1/friendshipHistory/following?username=USERNAME&api_key=API_KEY&date=DATE&tag_ids=TAG_IDS&size=SIZE`

*Answer Data: (Returns a list of following accounts on a specified date. Could be filtred by tag id.)*

***

14. **Check your API limits.**

`https://twitterscore.io/api/v1/limits?api_key=API_KEY`

*Answer Data: (Returns a stats of your API subscription.)*

***

{% hint style="info" %}
**If you can't find the feature you need here, feel free to** [**contact us**](https://t.me/DAO_collab)**. We'll work together to find a solution for your problem.**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://twitterscore.gitbook.io/twitterscore/developers/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
